#include "histogram.h"
#include "svg.h"
#include <sstream>
#include <curl/curl.h>

int main(int argc, char* argv[]) {
    if(argc > 1) {
          std::cout << "Number of arguments (argc): " << argc << std::endl;
        for (int i = 0; i < argc; ++i) {
            std::cout << "argv[" << i << "] = " << argv[i] << std::endl;
        }
        return 0;
    }

    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(std::cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins, in.width);
    curl_global_cleanup();
    return 0;
}
